package com.brilliance.isc.common.validator.es.support;


import com.brilliance.isc.common.validator.es.vo.EnvDespVo;

/**
 * 脚本加载类，可以通过配置决定启动哪种模式来加载
 * 默认是ClassPath，可以从对象存储、数据库等地方加载
 * @author fukai
 */
public interface IEsLoader {
   String loadEsScript(EnvDespVo envDespVo);

   default String saveBakScript(EnvDespVo envDespVo,String source){
      return source;
   }

   default String getCurPath(String path){
      return path;
   }
}
